Bug 91100 - [softpipe] piglit egl-create-pbuffer-surface regression
Summary: [softpipe] piglit egl-create-pbuffer-surface regression
Status: RESOLVED MOVED
Alias: None
Product: Mesa
Classification: Unclassified
Component: Drivers/Gallium/softpipe (show other bugs)
Version: 11.0
Hardware: x86-64 (AMD64) Linux (All)
: medium normal
Assignee: mesa-dev
QA Contact: mesa-dev
URL:
Whiteboard:
Keywords: bisected, regression
Depends on:
Blocks:
 
Reported: 2015-06-24 23:17 UTC by Vinson Lee
Modified: 2019-09-18 18:27 UTC (History)
3 users (show)

See Also:
i915 platform:
i915 features:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Vinson Lee 2015-06-24 23:17:19 UTC
mesa: e31bce4041122cd00712b60b4dc1eae6486f6579 (master 10.7.0-devel)


$ ./bin/egl-create-pbuffer-surface -auto
egl-create-pbuffer-surface: sp_texture.c:360: softpipe_transfer_map: Assertion `box->x + box->width <= (int) u_minify(resource->width0, level)' failed.
Aborted (core dumped)

(gdb) bt
#0  0x00007f154073e267 in __GI_raise (sig=sig@entry=6) at ../sysdeps/unix/sysv/linux/raise.c:55
#1  0x00007f154073feca in __GI_abort () at abort.c:89
#2  0x00007f154073703d in __assert_fail_base (fmt=0x7f1540899028 "%s%s%s:%u: %s%sAssertion `%s' failed.\n%n", 
    assertion=assertion@entry=0x7f153bb067b8 "box->x + box->width <= (int) u_minify(resource->width0, level)", 
    file=file@entry=0x7f153bb06663 "sp_texture.c", line=line@entry=360, 
    function=function@entry=0x7f153bb06a00 <__PRETTY_FUNCTION__.8823> "softpipe_transfer_map") at assert.c:92
#3  0x00007f15407370f2 in __GI___assert_fail (assertion=0x7f153bb067b8 "box->x + box->width <= (int) u_minify(resource->width0, level)", 
    file=0x7f153bb06663 "sp_texture.c", line=360, function=0x7f153bb06a00 <__PRETTY_FUNCTION__.8823> "softpipe_transfer_map") at assert.c:101
#4  0x00007f153ba4dc10 in softpipe_transfer_map (pipe=0x417c, resource=0x1b1a1e0, level=0, usage=2, box=0x7ffd8acf97e0, transfer=0x1)
    at sp_texture.c:360
#5  0x00007f153b97200b in pipe_transfer_map (transfer=0x7ffd8acf97d8, h=<optimized out>, w=<optimized out>, y=<optimized out>, x=<optimized out>, 
    access=2, layer=0, level=0, resource=0x1b1a1e0, context=0x19adb20) at ../../../../src/gallium/auxiliary/util/u_inlines.h:447
#6  drisw_update_tex_buffer (drawable=<optimized out>, ctx=<optimized out>, res=0x1b1a1e0) at drisw.c:309
#7  0x00007f153b9709a8 in dri_set_tex_buffer2 (pDRICtx=<optimized out>, target=3553, format=8410, dPriv=<optimized out>) at dri_drawable.c:245
#8  0x00007f15410204a2 in dri2_bind_tex_image (drv=0x199fe50, disp=0x199f810, surf=0x1ac4720, buffer=12420) at egl_dri2.c:1288
#9  0x00007f154101991a in eglBindTexImage (dpy=0x199f810, surface=<optimized out>, buffer=12420) at eglapi.c:948
#10 0x0000000000402507 in draw (state=0x7ffd8acf9af0) at piglit/tests/egl/egl-create-pbuffer-surface.c:64
#11 0x0000000000401d55 in event_loop (state=0x7ffd8acf9af0, test=0x7ffd8acf9b70) at piglit/tests/egl/egl-util.c:156
#12 0x00000000004022fb in egl_util_run (test=0x7ffd8acf9b70, argc=2, argv=0x7ffd8acf9c88) at piglit/tests/egl/egl-util.c:302
#13 0x00000000004026ef in main (argc=2, argv=0x7ffd8acf9c88) at piglit/tests/egl/egl-create-pbuffer-surface.c:100
(gdb) frame 4
#4  0x00007f153ba4dc10 in softpipe_transfer_map (pipe=0x417c, resource=0x1b1a1e0, level=0, usage=2, box=0x7ffd8acf97e0, transfer=0x1)
    at sp_texture.c:360
360	   assert(box->x + box->width <= (int) u_minify(resource->width0, level));
(gdb) print box->x
$1 = 1
(gdb) print box->width
$2 = 256
(gdb) print resource->width0
$3 = 256
(gdb) print level
$4 = 0


184e4de3a126fa21945fe59f68b8a29977919fc4 is the first bad commit
commit 184e4de3a126fa21945fe59f68b8a29977919fc4
Author: Martin Peres <martin.peres@linux.intel.com>
Date:   Fri Jun 5 15:03:19 2015 +0300

    main/version: make sure all the output variables get set in get_gl_override
    
    This fixes 2 warnings in gcc 5.1.
    
    Reviewed-by: Brian Paul <brianp@vmware.com>
    Reviewed-by: Marek Olšák <marek.olsak@amd.com>
    Signed-off-by: Martin Peres <martin.peres@linux.intel.com>

:040000 040000 d79f536961876f490be51ac2137ba8f18662bc49 cca6b9455a77b64fb2d684a9dd7b3edb20d533eb M	src
bisect run success
Comment 1 Vinson Lee 2016-03-22 02:24:05 UTC
mesa: 1e8435ce0cce671024ebf9c5465ea8bdcb563b69 (master 11.3.0-devel)

This regression is still present.
Comment 2 Martin Peres 2016-03-26 17:00:45 UTC
(In reply to Vinson Lee from comment #1)
> mesa: 1e8435ce0cce671024ebf9c5465ea8bdcb563b69 (master 11.3.0-devel)
> 
> This regression is still present.

Sorry, I missed this email twice! I will get to it as soon as possible. I wonder why it never triggered any issue when I ran piglit myself :s
Comment 3 Vinson Lee 2017-03-31 23:38:54 UTC
mesa: 150736b5c34fc07de296454b973ae72ede215ae2 (master 17.1.0-devel)

Regression is still present.
Comment 4 GitLab Migration User 2019-09-18 18:27:49 UTC
-- GitLab Migration Automatic Message --

This bug has been migrated to freedesktop.org's GitLab instance and has been closed from further activity.

You can subscribe and participate further through the new bug through this link to our GitLab instance: https://gitlab.freedesktop.org/mesa/mesa/issues/213.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.